QGIS Application - Bug report #19385

Dependency paths including mutated vowels cannot be saved with crossplatform compatible
relative paths (/" vs "\")

2018-07-10 11:26 PM - Patrick Toschka

Status: Closed

Priority: Low

Assignee:

Category: OsX Ul

Affected QGIS version:2.18.21 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 27213
Description

1. Built and saved a project on Mac OS 10.13.5 and QGIS 2.18.21
2. Tried to open it on Windows 10.0.17134 Build 17134 and QGIS 2.18.21.

The relative file paths that included mutated vowels were not saved crossplatform compatible. The paths were not valid because they
were saved with "/" instead of "\". QGIS prompted me to search for the missing files.
e.g. "files/Hohlenrouten.shp" was not found, had to select in "files\H&hlenrouten.shp". Same with "files/Cafés.shp" vs "files\Cafés.shp".

3. After reselecting them on my Windows machine, exactly under the path qgis shows (but with windows backslashes) all of the files were
found and the project loaded properly.

4. | had to burn the project with all dependencies on DVDs to hand them to my lecturer, so | decided to burn every DVD once for Windows
and for Mac users since | did not know what he uses.

Same problem backwards. | have the same problem described above when trying to open the project from the "Windows CD" on my Mac
machine, but the other way around with "\" instead of "/".

History

#1 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history — a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
